Help us improve our product documentation on docs.cognigy.com by sharing your thoughts in a quick survey. Your feedback shapes the future of our content!
Help us improve our product documentation on docs.cognigy.com by sharing your thoughts in a quick survey. Your feedback shapes the future of our content!
Gets sentences from a Yes/No Intent. By default, 25 sentences are returned. To change this value, use the limit query parameter. Additionally, you can filter, sort, and paginate the results.
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences \
--header 'X-API-Key: <api-key>'{
"items": [
{
"text": "I want to buy a pizza.",
"localeReference": "<string>",
"slots": [
{
"tagReference": "<string>",
"lexiconReference": "<string>"
}
],
"feedbackReport": {
"findings": [
{
"type": "poorScore"
}
],
"info": {
"trueIntent": "<string>",
"topIntent": "<string>",
"runnerUp": "<string>",
"topScore": 123,
"runnerUpScore": 123,
"difference": 123,
"trueIntentName": "<string>",
"topIntentName": "<string>",
"runnerUpIntentName": "<string>"
}
},
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.cognigy.com/llms.txt
Use this file to discover all available pages before exploring further.
Supply the API Key in the HTTP-Header
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv The unique identifier for the Locale.
24^[a-z0-9]{24}$The unique identifier for the Intent.
24^[a-z0-9]{24}$The string to filter Yes/No Example Sentences by text.
The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
1 <= x <= 100The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.
x >= 0The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.
1The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.
24The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.
24curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences \
--header 'X-API-Key: <api-key>'{
"items": [
{
"text": "I want to buy a pizza.",
"localeReference": "<string>",
"slots": [
{
"tagReference": "<string>",
"lexiconReference": "<string>"
}
],
"feedbackReport": {
"findings": [
{
"type": "poorScore"
}
],
"info": {
"trueIntent": "<string>",
"topIntent": "<string>",
"runnerUp": "<string>",
"topScore": 123,
"runnerUpScore": 123,
"difference": 123,
"trueIntentName": "<string>",
"topIntentName": "<string>",
"runnerUpIntentName": "<string>"
}
},
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}